Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCfform

## Specification of methods

### setFloated Function Description

Form
  void setFloated(WSCbool fl)
Function
  Specify a form status
Description
  When True is set, it becomes a window. When False is set, it becomes a form.
Parameters

  (in)WSCbool fl | Form status

Return value
  None.
Notice
Samples

      #include <WSCfform.h>
      void sample_proc(WSCbase* object){
        WSCfform* fform = (WSCfform*)object->cast("WSCfform");
        if (fform == NULL){
          return;
        }
        fform->setFloated(True);
      }

  ### getFloated Function Description

  Form
    WSCbool getFloated()
  Function
    Obtain a form status
  Description
    Return True when it is a window mode, and False when it is a form mode
  Parameters
    None.
  Return value
    Form status.
  Notice
  Samples

        #include <WSCfform.h>
        void sample_proc(WSCbase* object){
          WSCfform* fform = (WSCfform*)object->cast("WSCfform");
          if (fform == NULL){
            return;
          }
          WSCbool fl = fform->getFloated();
          if (fl == False){
            //Form mode
          }else{
            //Window mode.
          }
        }

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004